body {
    background-color: #151515;
    font-family: Avenir;
    font-size: 18px;
    color: #ffffff;
    line-height: 1.4em;
    margin: 0px;
    padding: 0px;
}

/* ---------- banner ---------- */

.banner {
    display: grid;
    grid-template-areas: 
    "left-banner"
    "right-banner";
}

div.left-banner {
    grid-area: left-banner;
    background-color: #c50000;
    height: 80vh;
}

div.right-banner {
    grid-area: right-banner;
    background-image: url("../images/photocover.jpg");
    background-size: cover;
    height: 80vh;
}

@media (min-width: 800px) {
    .banner {
        grid-template-columns: 1fr 1.3fr;
        grid-template-areas: 
        "left-banner right-banner";
    } 
}

@media (max-width: 800px) {
    div.right-banner {
        height: 100vh;
    }
}

@media (max-width: 480px) {
    div.right-banner {
        height: 55vh;
    }
}


/* ----- left banner ----- */

.vl {
    border-left: 2px solid #242424;
    height: 40px;
    margin-top: 10px;
  }


div.navbar {
    grid-area: navbar;
}

.navbar {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.brand-title {
    margin: .5rem;
    padding-top: 5px;
}

.navbar-links ul {
    margin: 0;
    padding: 0;
    display: flex;
}

.navbar-links li {
    list-style: none;
    padding-top: 8px;
}

.navbar-links li a {
    text-decoration: none;
    color: #ffffff;
    padding: 1rem;
    display: block;
}

.navbar-links li a:hover {
    color: #c50000;
}

.toggle-button {
    position: absolute;
    top: .75rem;
    right: 1rem;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 21px;
}

.toggle-button .bar {
    height: 3px;
    width: 85%;
    background-color: #ffffff;
    border-radius: 10px;
}

@media (min-width: 1024px) {
    .brand-title {
        margin-left: 50px;
        padding-right: 15px;
    }

    .navbar-links {
        margin-right: 80px;
    }
}

@media  (max-width: 800px) {
    .toggle-button {
        display: flex;
        margin-top: 10px;
    }

    .navbar-links {
        display: none;
        width: 100%;
    }

    .navbar {
        flex-direction: column;
        align-items: flex-start;
    }

    .navbar-links ul {
        width: 100%;
        flex-direction: column;
    }

    .navbar-links li {
        text-align: center;
    }

    .navbar-links li a {
        padding: .5rem .1rem;
    }

    .navbar-links.active {
        display: flex;
    }

    div.brand-title {
        padding-left: 10px;
    }

    div.navbar-links {
        padding-right: 10px;
    }
}

@media (max-width: 800px) {
    .vl {
        display: none;
    }

    div.left-banner {
        height: 100vh;
    }
}

@media (max-width: 480px) {
    div.left-banner {
        height: 70vh;
    }
}

/* ----- left banner ----- */

/* ----- banner content ----- */

.banner-content {
    padding-top: 40px;
    padding-left: 50px;
    padding-right: 50px;
}

h1 {
    font-size:65px;
    font-weight: 900;
    padding-bottom: 30px;
    line-height: 1em;
}

.banner-content p {
    font-size: 20px;
    line-height: 1.4em;
}

.btn {
    border: 2px solid #fff;
    background-color: transparent;
    height: 40px;
    padding: 14px 28px;
    font-size: 18px;
    cursor: pointer;
    text-align: center;
    width: 180px;
}

.btn a {
    text-decoration: none;
}

.btn p {
    color: #fff;
    padding-top: 10px;
}

@media (max-width: 1024px) {
    h1 {
        font-size: 50px;
    }
}

@media (min-width: 800px) {
    .banner-content {
        padding-top: 30px;
    }
}

@media (max-width: 480px) {
    .banner-content {
        padding-top: 30px;
        padding-left: 20px;
        padding-right: 20px;
    }

    h1 {
        font-size: 45px;
    }
}


/* ----- banner content ----- */

/* ---------- end banner ---------- */



/* ---------- about ---------- */

.about {
    padding: 50px 50px 50px 50px;
}

.about-container {
    display: grid;
    padding-top: 20px;
    grid-template-areas:
    "about-content"
    "about-photo";
}

.about-photo img {
    width: 60%;
    padding-bottom: 10px;
    padding-left: 30px;
    justify-content: center;
    display: flex;
    height: min-content;
}

.about-photo {
    justify-content: center;
    display: flex;
}

h2 {
    font-size: 25px;
    font-weight: 700;
    line-height: 1em;
}

@media (min-width: 800px) {
    .about-container {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
        "about-content about-photo";
    }
}

@media (max-width: 800px) {
    .about-content {
        
        padding-left: 0px;
    }
}

@media (max-width: 480px) {
    .about {
        padding-top: 30px;
        padding-right: 30px;
        padding-left: 20px;
        padding-right: 20px;
    }

    .about-photo img {
        padding-left: 0;
        padding-top: 30px;
        width: 95%;
    }
}

/* ---------- end about ---------- */


/* ---------- service ---------- */

.service-container1 {
    display: grid;
    grid-template-areas: 
    "music"
    "movies";
}

div.music {
    grid-area: music;
    display: flex;
    background-color: #c50000;
    padding: 30px 50px 30px 50px;
    height: 20vh;
}

div.movies {
    grid-area: movies;
    display: flex;
    background-color: #a30000;
    padding: 30px 50px 30px 50px;
    height: 20vh;
}

.service-container2 {
    display: grid;
    grid-template-areas: 
    "games"
    "books";
}

div.games {
    grid-area: games;
    display: flex;
    background-color: #7f0000;
    padding: 30px 50px 30px 50px;
    height: 20vh;
}

div.books {
    grid-area: books;
    display: flex;
    background-color: #5d0000;
    padding: 30px 50px 30px 50px;
    height: 20vh;
}

.icon {
    padding-right: 30px;
}

.icon img {
    width: 80px;
    height: 80px;
}

.title {
    font-size: 25px;
    font-weight: 400;
    padding-bottom: 20px;
}

@media (min-width: 1440px) {
    div.music {
        padding: 50px 90px 50px 90px;
        height: 15vh;
    }
    
    div.movies {
        padding: 50px 90px 50px 90px;
        height: 15vh;
    }

    div.games {
        padding: 50px 90px 50px 90px;
        height: 15vh;
    }
    
    div.books {
        padding: 50px 90px 50px 90px;
        height: 15vh;
    }
}

@media (min-width: 1000px) {
    .service-container1 {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
        "music movies";
    }
    
    .service-container2 {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
        "games books";
    } 
}

@media (max-width: 480px) {
    .icon img {
        width: 65px;
        height: 65px;
    }

    div.music {
        padding: 30px 30px 30px 30px;
    }
    
    div.movies {
        padding: 30px 30px 30px 30px;
    }

    div.games {
        padding: 30px 30px 30px 30px;
    }
    
    div.books {
        padding: 30px 30px 30px 30px;
    }
} 

/* ---------- end service ---------- */


/* ---------- form ---------- */

.form {
    background-image: url("../images/formphoto.jpg");
    padding: 50px 50px 50px 50px;
}

.form-container {
    display: grid;
    padding-top: 20px;
    grid-template-areas:
    "form-content"
    "form-fillup";
}

.form-fillup {
    padding-bottom: 10px;
    padding-left: 30px;
}


input[type=text], select, textarea {
    background-color: #e1e1e1;
    width: 100%;
    height: 55px;
    padding: 10px;
    border: 1px solid #ccc;
    box-sizing: border-box;
    margin-bottom: 10px;
    resize: vertical;
    font-weight: 200;
    font-size: 18px;
}
  
input[type=submit] {
    background-color: #edb301;
    color: white;
    padding: 10px 25px;
    border: none;
    cursor: pointer;
    font-size: 20px;
    font-weight: 600;
    width: 100%;
    height: 55px;
}

.cvv-zip {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(75px, 1fr));
    grid-template-areas:
    "cvv"
    "zip";
}

div.cvv {
    grid-area: cvv;
}

div.zip {
    grid-area: zip;   
}

@media (min-width: 768px) {
    .cvv-zip {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(75px, 1fr));
        grid-template-areas:
        "cvv zip";
    }

    .cvv {
        padding-right: 10px;
    }
}
    
.month-date {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(75px, 1fr));
    grid-template-areas:
    "month"
    "date";
    }
    
    div.month{
        grid-area: month;
    }
    
    div.date {
        grid-area: date;
    }
    
@media (min-width: 768px) {
    .month-date {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(75px, 1fr));
        grid-template-areas:
        "month date";
        }
        
    .month {
        padding-right: 10px;
        }
}

@media (max-width: 425px) {
    .month {
        padding-right: 0px;
    }

    .form {
        padding: 30px 30px 30px 30px;
    }
}

@media (max-width: 425px) {
    .month {
        padding-right: 0px;
    }

    .form {
        padding: 50px 30px 50px 30px;
    }
}

@media (min-width: 1440px) {
    .join-form {
        height: 55vh;
    }
}

@media (min-width: 1024px) {
    .join-form {
        height: 63vh;
    }
}

@media (min-width: 800px) {
    .form-container {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
        "form-content form-fillup";
    }
}

@media (max-width: 768px) {
    .form-content {
        padding-top: 20px;
        padding-left: 0px;
    }

    .join-form {
        height: 65vh;
    }
}

@media (max-width: 480px) {
    .form {
        padding-top: 30px;
        padding-right: 30px;
        padding-left: 20px;
        padding-right: 20px;
    }

    .form-content {
        padding-left: 0px;
        padding-top: 10px;
    }

    .join-form {
        height: 70vh;
    }

    .form-fillup {
        padding-top: 30px;
        padding-left: 0px;
    }
}

/* ---------- end form ---------- */


/* ---------- footer ---------- */

.footer {
    padding: 50px 50px 50px 50px;
    background-color: #111;
}

.footer-container {
    display: grid;
    padding-top: 20px;
    padding-bottom: 20px;
    grid-template-areas: 
    "address"
    "logo2";
}

.logo2 {
    padding-left: 30px;
}

.allriche {
    padding-top: 10px;
    padding-bottom: 10px;
}

.info {
    font-size: 18px;
}

.social-footer {
    display: grid;
    display: flex;
    padding-top: 10px;
    grid-template-columns: repeat(5, 1fr);
    grid-template-areas:
    "facebook-footer instagram-footer twiter-footer";
  }

  div.facebook-footer {
    grid-area: facebook-footer;
    height: 45px;
    width: 45px;
    padding: 8px;
  }

  div.instagram-footer {
    grid-area: instagram-footer;
    height: 45px;
    width: 45px;
    padding: 8px;
  }

  div.twiter-footer{
    grid-area: twiter-footer;
    height: 45px;
    width: 45px;
    padding: 8px;
  }


@media (min-width: 800px) {
    .footer-container {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
        "address logo2";
    }
}

@media (max-width: 768px) {
    .logo2 {
        padding-top: 20px;
        padding-left: 0px;
    }
}

@media (max-width: 480px) {
    .footer {
        padding-top: 30px;
        padding-right: 30px;
        padding-left: 20px;
        padding-right: 20px;
    }

    .logo2 {
        padding-left: 0px;
        padding-top: 20px;
    }
}

/* ---------- end footer ---------- */

